<?php

define('SPICE_FSE_TEMPLATE_DIR_URI',get_template_directory_uri());
define('SPICE_FSE_TEMPLATE_DIR',get_template_directory());


if ( ! function_exists( 'spice_fse_support' ) ) :
	function spice_fse_support()  {

		load_theme_textdomain( 'spice-fse', SPICE_FSE_TEMPLATE_DIR . '/languages' );
		// Adding support for core block visual styles.
		add_theme_support( 'wp-block-styles' );
		 // Add support for editor styles.
        add_theme_support( 'editor-styles' );
		// Enqueue editor styles.
		add_editor_style( 'style.css' );

		//About Theme
        $spice_fse_theme = wp_get_theme(); // gets the current theme
        if ('Spice FSE' == $spice_fse_theme->name || 'Spice FSE Child' == $spice_fse_theme->name) {
            if (is_admin()) {
                require SPICE_FSE_TEMPLATE_DIR . '/admin/admin-init.php';
            }
        }
       
	}
	add_action( 'after_setup_theme', 'spice_fse_support' );
endif;

/**
 * Enqueue scripts and styles.
 */
function spice_fse_scripts() {
	// Enqueue theme stylesheet.
	wp_enqueue_style( 'spice-fse-style', get_template_directory_uri() . '/style.css', array(), wp_get_theme()->get( 'Version' ) );
	  $suffix = ( defined('SCRIPT_DEBUG') && SCRIPT_DEBUG ) ? '' : '.min';

   wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome/css/font-awesome' . $suffix . '.css', array(), '');

   wp_enqueue_script('spice-fse-custom-js', get_template_directory_uri().'/inc/js/custom.js', array('jquery'), '', true);
}
add_action( 'wp_enqueue_scripts', 'spice_fse_scripts' );

function spice_fse_register_my_pattern_categories() {
  register_block_pattern_category(
    'spice-fse',
    array( 'label' => __( 'Spice FSE', 'spice-fse' ) )
);

}
add_action( 'init', 'spice_fse_register_my_pattern_categories' );


require_once SPICE_FSE_TEMPLATE_DIR . '/inc/class-tgm-plugin-activation.php';


add_action( 'tgmpa_register', 'spice_fse_register_required_plugins' );

/**
 * Register the required plugins for this theme.
 *
 * In this example, we register five plugins:
 * - one included with the TGMPA library
 * - two from an external source, one from an arbitrary source, one from a GitHub repository
 * - two from the .org repo, where one demonstrates the use of the `is_callable` argument
 *
 * The variables passed to the `tgmpa()` function should be:
 * - an array of plugin arrays;
 * - optionally a configuration array.
 * If you are not changing anything in the configuration array, you can remove the array and remove the
 * variable from the function call: `tgmpa( $plugins );`.
 * In that case, the TGMPA default settings will be used.
 *
 * This function is hooked into `tgmpa_register`, which is fired on the WP `init` action on priority 10.
 */
function spice_fse_register_required_plugins() {
	/*
	 * Array of plugin arrays. Required keys are name and slug.
	 * If the source is NOT from the .org repo, then source is also required.
	 */
	$plugins = array(
		 // This is an example of how to include a plugin from the WordPress Plugin Repository.
        array(
            'name'      => 'Contact Form 7',
            'slug'      => 'contact-form-7',
            'required'  => false,
        ),
        array(
            'name'      => 'Yoast SEO',
            'slug'      => 'wordpress-seo',
            'required'  => false,
        ),
        array(
            'name'      => 'Wp Google Maps',
            'slug'      => 'wp-google-maps',
            'required'  => false,
        ),
        array(
            'name'      => 'Spice Post Slider',
            'slug'      => 'spice-post-slider',
            'required'  => false,
        ),
        array(
            'name'      => 'Spice Social Share',
            'slug'      => 'spice-social-share',
            'required'  => false,
        )

	);

	/*
	 * Array of configuration settings. Amend each line as needed.
	 *
	 * TGMPA will start providing localized text strings soon. If you already have translations of our standard
	 * strings available, please help us make TGMPA even better by giving us access to these translations or by
	 * sending in a pull-request with .po file(s) with the translations.
	 *
	 * Only uncomment the strings in the config array if you want to customize the strings.
	 */
	$config = array(
		'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
		'default_path' => '',                      // Default absolute path to bundled plugins.
		'menu'         => 'tgmpa-install-plugins', // Menu slug.
		'has_notices'  => true,                    // Show admin notices or not.
		'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
		'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
		'is_automatic' => false,                   // Automatically activate plugins after installation or not.
		'message'      => '',                      // Message to output right before the plugins table.
	);
	tgmpa( $plugins, $config );
}

function spice_fse_script_footer() { ?>
<div class="scroll-up custom right"><a href="#totop"><i class="fa fa-arrow-up"></i></a></div>
<?php } 
add_action('wp_footer', 'spice_fse_script_footer');

function spice_fse_script_header() {
    ?>
    <div id="preloader">
        <div class="hp-preloader-cube">
            <div class="hp-cube1 hp-cube"></div>
            <div class="hp-cube2 hp-cube"></div>
            <div class="hp-cube4 hp-cube"></div>
            <div class="hp-cube3 hp-cube"></div>
        </div>
    </div>
    <?php
}
add_action('wp_head', 'spice_fse_script_header');
?>